//
//  SettingModel.h
//  AsReaderScan
//
//  @brief  This is for M24D. This file defines the structure and interface for the settings management in the AsReaderScan app. It includes the SettingItem class that represents individual settings, as well as a function that returns a default list of settings.
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#ifndef SettingModel_h
#define SettingModel_h


#endif /* SettingModel_h */
// SettingModel.h
#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, ControlType) {
    switchType,
    buttonType,
    none
};

typedef NS_ENUM(NSInteger, IDs) {
    iSwCR,
    iSwTM,
    iSwBep,
    iSwVib,
    iSwLED,
    iSwAim,
    iSwPbp,
    iSwSleepBeep,
    iSwPM,
    iSwSSIBeep,
    iBtnCodID,
    iBtSleeptime,
    iBtOCR,
    iBtSecLevel,
    iBtAutoLaunch,
    iSwAndroidHID,
    iSwiOSHID
};

@interface SettingItem : NSObject

@property (nonatomic, strong) NSString *title;
@property (nonatomic, assign) ControlType controlType;
@property (nonatomic, assign) IDs ids;
@property (nonatomic, assign) BOOL isOn;

- (instancetype)initWithControlType:(ControlType)controlType ids:(IDs)ids title:(NSString *)title;

@end

NSArray<SettingItem *> *DefaultItems(void);
