//
//  AsUtils.h
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 *  @brief      This file contains utility methods for handling various data manipulations, such as converting between different formats, manipulating EPC data, and redirecting logs. The file includes several categories for NSString and NSData to add custom methods for data conversion.
 */
@interface AsUtils : NSObject

+(NSString*)getEpcStringFromPcEPCData:(NSData*)pcEpcData;
@end

@interface NSString (NSStringHexToBytes)
- (NSData*) hexStringToBytes;
@end

@interface NSString (NSStringToHex)
- (NSData*) stringToHex;
@end

@interface NSData (NSDataToHexString)
- (NSString*) bytesToHexString;
@end


@interface NSData (NSDataToCharString)
- (NSString*) bytesToCharString;
@end


@interface UIApplication (Logging)
+ (void) redirectConsoleLogToDocumentFolder:(NSString*)filename;
@end



